# Introduction

This document provides instructions for software developers who want to create software solutions that include a MagTek Secure Card Reader Authenticator (SCRA) device connected to an Android device via the Audio/Headset Interface, Bluetooth, Bluetooth LE, or USB.

#### About the MagTek SCRA Demo <a href="#id-1.1_about_the_magtek_scra_demo" id="id-1.1_about_the_magtek_scra_demo"></a>

The MagTek SCRA Demo, available from MagTek, provides demonstration source code and a reusable MTSCRA library that provides developers of custom software solutions with an easy-to-use interface for Dynamag, DynaMAX, eDynamo, uDynamo, aDynamo, BulleT, mDynamo, DynaWave, tDynamo, iDynamo 6, DynaGlass, and iDynamo 5 (Gen III) readers. Developers can include the MTSCRA library in custom branded software which can be distributed to customers or distributed internally as part of an enterprise solution.

#### Nomenclature <a href="#id-1.2_nomenclature" id="id-1.2_nomenclature"></a>

The general terms “device” and “host” are used in different, often incompatible ways in a multitude of specifications and contexts. For example “host” may have different meanings in the context of USB communication than it does in the context of networked financial transaction processing. In this document, “device” and “host” are used strictly as follows:

* Device refers to the reader device that receives and responds to the command set specified in this document.
* Host refers to the piece of general-purpose electronic equipment the device is connected or paired to, which can send data to and receive data from the device. Host types include PC, laptops, tablets, smartphones, and even test harnesses. In many cases the host may have custom software installed on it that communicates with the device. When “host” must be used differently, it is qualified as something specific, such as “USB host.”

#### SDK Contents <a href="#id-1.3_sdk_contents" id="id-1.3_sdk_contents"></a>

<table data-header-hidden><thead><tr><th width="186.727294921875" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">File</td><td valign="top">Description</td></tr><tr><td valign="top">mtscra.jar</td><td valign="top">MagTek SCRA Library</td></tr></tbody></table>

#### System Requirements <a href="#id-1.4_system_requirements" id="id-1.4_system_requirements"></a>

Development Environment: Eclipse 4.3 and above or Android Studio 3 and above.&#x20;

Android Operating System: 4.4.2 and above


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/programmers-manual-android/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
